/*
switchit.do
by: Attila Gyetvai

this script identifies instances when 1st and 2nd work arrangements switched 
and switches them back
*/

* confirm that master data set is loaded
confirm var anon t firm_1 firm_2


*-- reclassify 1/2 work arrangement if switched
tempvar firm_tmp
gen `firm_tmp' = firm_2
gen switched = 0
qui su t
local t_min = r(min)+1
local t_max = r(max)
forval t = `t_min'/`t_max' {
	di `t'
	qui replace switched = 1 if t==`t' & anon==anon[_n-1] & ///
		firm_1==firm_2[_n-1] & firm_2==firm_1[_n-1] & ///
		firm_1!=firm_2 & !missing(firm_1) & !missing(firm_2)
	qui replace firm_2 = firm_1 if t==`t' & switched
	qui replace firm_1 = `firm_tmp' if t==`t' & switched
}


*-- switch other vars
foreach v of global vars_to_switch {    // define vars_to_switch outside
	gen `v't = `v'2
	qui replace `v'2 = `v'1 if switched
	qui replace `v'1 = `v't if switched
	drop `v't
}


*-- end code
