/*
shell.do
by: Attila Gyetvai

shell script to build the analysis data on the server
*/


*-- initialization
clear all
cls
set more off
set seed 987654321
cap log close
timer clear

* paths
global path_root          ""    // root directory
global path_raw_data      ""    // directory of raw data
global path_raw_firm      ""    // directory of additional firm data
global path_build         "${path_root}/build"
global path_build_aux     "${path_build}/aux"
global path_build_log     "${path_build}/log"
global path_clean         "${path_root}/calcs/clean_data"
global path_results       "${path_root}/results"
global path_tables        "${path_results}/tables"
global path_graphs        "${path_results}/graphs"
cd "${path_build}"



*-- run scripts
log using "${path_build_log}/flag_displaced.log", replace
timer on 1
do flag_displaced
timer off 1
timer list
log close

log using "${path_build_log}/calc_network_measures.log", replace
timer on 2
do calc_network_measures
timer off 2
timer list
log close

log using "${path_build_log}/assemble_sample.log", replace
timer on 3
do assemble_sample
timer off 3
timer list
log close

log using "${path_build_log}/calc_network_fe.log", replace
timer on 4
do calc_network_fe
timer off 4
timer list
log close

log using "${path_build_log}/clean_sample.log", replace
timer on 5
do clean_sample
timer off 5
timer list
log close


*-- end code
